summaryrefslogtreecommitdiffstats
path: root/usr.sbin/bsdinstall
diff options
context:
space:
mode:
authornwhitehorn <nwhitehorn@FreeBSD.org>2011-12-02 02:05:26 +0000
committernwhitehorn <nwhitehorn@FreeBSD.org>2011-12-02 02:05:26 +0000
commit50bd4baccdac487457ccb052460e9131deb404b0 (patch)
tree6df6b166c1ac9cdc095de7ed107661bd8a5908ea /usr.sbin/bsdinstall
parentc35cac10ecbdb3a067841a9f4528c02b875a0cb0 (diff)
downloadFreeBSD-src-50bd4baccdac487457ccb052460e9131deb404b0.zip
FreeBSD-src-50bd4baccdac487457ccb052460e9131deb404b0.tar.gz
Prevent user astonishment by providing the shell option at the end, after
any installer-provided configuration files have been copied. This allows users to edit their fstab, if desired, and to see what the installer has placed in rc.conf. Requested by: phk MFC after: 1 day
Diffstat (limited to 'usr.sbin/bsdinstall')
-rwxr-xr-xusr.sbin/bsdinstall/scripts/auto23
1 files changed, 11 insertions, 12 deletions
diff --git a/usr.sbin/bsdinstall/scripts/auto b/usr.sbin/bsdinstall/scripts/auto
index b5f8ef1..afb7799 100755
--- a/usr.sbin/bsdinstall/scripts/auto
+++ b/usr.sbin/bsdinstall/scripts/auto
@@ -157,7 +157,7 @@ finalconfig() {
exec 3>&1
REVISIT=$(dialog --backtitle "FreeBSD Installer" \
--title "Final Configuration" --no-cancel --menu \
- "Setup of your FreeBSD system is nearly complete. You can now modify your configuration choices or apply more complex changes using a shell." 0 0 0 \
+ "Setup of your FreeBSD system is nearly complete. You can now modify your configuration choices. After this screen, you will have an opportunity to make more complex changes using a shell." 0 0 0 \
"Exit" "Apply configuration and exit installer" \
"Add User" "Add a user to the system" \
"Root Password" "Change root password" \
@@ -165,8 +165,7 @@ finalconfig() {
"Network" "Networking configuration" \
"Services" "Set daemons to run on startup" \
"Time Zone" "Set system timezone" \
- "Handbook" "Install FreeBSD Handbook (requires network)" \
- "Shell" "Open a shell in the new system" 2>&1 1>&3)
+ "Handbook" "Install FreeBSD Handbook (requires network)" 2>&1 1>&3)
exec 3>&-
case "$REVISIT" in
@@ -198,15 +197,6 @@ finalconfig() {
bsdinstall docsinstall
finalconfig
;;
- "Shell")
- clear
- echo This shell is operating in a chroot in the new system. \
- When finished making configuration changes, type \"exit\".
- chroot "$BSDINSTALL_CHROOT" /bin/sh 2>&1
- # Don't hose local rc.conf changes
- cp $BSDINSTALL_CHROOT/etc/rc.conf $BSDINSTALL_TMPETC/rc.conf.manual
- finalconfig
- ;;
esac
}
@@ -222,5 +212,14 @@ if [ ! -z "$BSDINSTALL_FETCHDEST" ]; then
rm -rf "$BSDINSTALL_FETCHDEST"
fi
+dialog --backtitle "FreeBSD Installer" --title "Manual Configuration" \
+ --yesno "The installation is now finished. Before exiting the installer, would you like to open a shell in the new system to make any final manual modifications?" 0 0
+if [ $? -eq 0 ]; then
+ clear
+ echo This shell is operating in a chroot in the new system. \
+ When finished making configuration changes, type \"exit\".
+ chroot "$BSDINSTALL_CHROOT" /bin/sh 2>&1
+fi
+
echo "Installation Completed at $(date)" >> $BSDINSTALL_LOG
OpenPOWER on IntegriCloud